# $Revision: 1.5 $, $Date: 2004/10/30 11:38:56 $
%define		realname	gtk+2
Summary:	The Gimp Toolkit - Ming32 cross version
Summary(cs):	Sada nstroj pro Gimp
Summary(de):	Der Gimp-Toolkit
Summary(es):	Conjunto de herramientas Gimp
Summary(fi):	Gimp-tykalukokoelma
Summary(fr):	Le toolkit de Gimp
Summary(it):	Il toolkit per Gimp
Summary(pl):	Gimp Toolkit - wersja skrona dla Ming32
Summary(pt_BR):	Kit de ferramentas Gimp
Summary(tr):	Gimp ToolKit arayz kitapl
Name:		crossmingw32-%{realname}
Version:	2.4.3
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.gimp.org/~tml/gimp/win32/gtk+-dev-%{version}.zip
# Source0-md5:	ffa28f376549a1a1636084845729023e
URL:		http://www.gtk.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{realname}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32
%define		arch			%{_prefix}/%{target}
%define		gccarch			%{_prefix}/lib/gcc-lib/%{target}
%define		gcclib			%{_prefix}/lib/gcc-lib/%{target}/%{version}

%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%description
GTK+, which stands for the Gimp ToolKit, is a library for creating
graphical user interfaces for the X Window System. It is designed to
be small, efficient, and flexible. GTK+ is written in C with a very
object-oriented approach. GDK (part of GTK+) is a drawing toolkit
which provides a thin layer over Xlib to help automate things like
dealing with different color depths, and GTK is a widget set for
creating user interfaces.

%description -l cs
Knihovny X pvodn psan pro GIMP, kter nyn pouv tak ada jinch
program.

%description -l da
X biblioteker, oprindeligt udviklet til GIMP, men anvendes nu af flere
forskellige programmer.

%description -l de
Die X-Libraries, die ursprnglich fr GIMP geschrieben wurden und
mittlerweile fr eine ganze Reihe anderer Programme benutzt werden.

%description -l fr
X-kirjastot, jotka alunperin kirjoitettiin GIMP:lle, mutta joita
kytetn nyt mys useissa muissakin ohjelmissa.

%description -l it
Libreria X scritta per GIMP. Viene usata da diversi programmi.

%description -l pl
GTK+, ktra to biblioteka staa si podstaw programu Gimp, zawiera
funkcje do tworzenia graficznego interfejsu uytkownika pod X Window.
Bya tworzona z zaoeniem eby bya maa, efektywna i wygodna. GTK+
jest napisane w C z podejciem zorientowanym bardzo obiektowo. GDK
(cz GTK+) jest warstw poredni pomidzy Xlib i reszt toolkitu
zapewniajc prac niezalenie od gbi koloru (iloci bitw na
piksel). GTK (druga cz GTK+) jest natomiast ju zbiorem rnego
rodzaju kontrolek sucych do tworzenia interfejsu uytkownika.

%description -l pt_BR
Bibliotecas X originalmente escritas para o GIMP, que agora esto
sendo tambm usadas por vrios outros programas.

%description -l tr
Balangta GIMP iin yazlm X kitaplklar. u anda baka
programlarca da kullanlmaktadr.

%prep
install -d gtk
cd gtk && rm * -rf ; unzip %{SOURCE0} && cd ..

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{arch}
cp gtk/* $RPM_BUILD_ROOT%{arch} -rf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/*
%{arch}/lib/*
%{arch}/share/*
%{arch}/man/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-gtk+2.spec,v $
Revision 1.5  2004/10/30 11:38:56  qboosh
- too much

Revision 1.4  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.3  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.2  2004/09/24 13:18:34  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.1  2004/06/24 20:16:33  undefine
- initital version by Cezary Krzyanowski <czarny@czarny.is-a-geek.org>

Revision 1.3  2003/12/19 18:21:02  undefine
- adapterized, add md5sum, not include all %{arch}

Revision 1.2  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.1  2003/08/27 16:21:28  ggodlewski
- 1st rel

